i魔鬼在人间 2021-12-16 14:32 采纳率: 62.5%
浏览 72
已结题

公司新发的项目,运行出来报这个错误,这是什么原因,是不是依赖的版本问题

img


./node_modules/normalize.css/normalize.css (./node_modules/_css-loader@6.5.1@css-loader/dist/cjs.js??ref--6-oneOf-3-1!./node_modules/postcss-loader/src??ref--6-oneOf-3-2!./node_modules/normalize.css/normalize.css)
Module build failed (from ./node_modules/_css-loader@6.5.1@css-loader/dist/cjs.js):
TypeError: this.getOptions is not a function
at Object.loader (D:\Work\work\Examination\exam-vue\node_modules_css-loader@6.5.1@css-loader\dist\index.js:31:27)

  • 写回答

3条回答 默认 最新

  • 崽崽的谷雨 2021-12-16 14:38
    关注

    1.npm uninstall css-loader
    2.npm install css-loader@5.0.0

    执行这个 。应该是 css-loader版本太高了

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(2条)

报告相同问题?

问题事件

  • 系统已结题 3月3日
  • 已采纳回答 2月23日
  • 创建了问题 12月16日

悬赏问题

  • ¥15 单片机学习顺序问题!!
  • ¥15 ikuai客户端多拨vpn,重启总是有个别重拨不上
  • ¥20 关于#anlogic#sdram#的问题,如何解决?(关键词-performance)
  • ¥15 相敏解调 matlab
  • ¥15 求lingo代码和思路
  • ¥15 公交车和无人机协同运输
  • ¥15 stm32代码移植没反应
  • ¥15 matlab基于pde算法图像修复,为什么只能对示例图像有效
  • ¥100 连续两帧图像高速减法
  • ¥15 如何绘制动力学系统的相图